<div>
    <h2 id="page-heading">
        <span jhiTranslate="louiesAlterierApp.product.home.title">Products</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product" [routerLink]="['/product/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="louiesAlterierApp.product.home.createLabel">
            Create a new Product
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="products?.length === 0">
        <span jhiTranslate="louiesAlterierApp.product.home.notFound">No products found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="products && products.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="price"><span jhiTranslate="louiesAlterierApp.product.price">Price</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="name"><span jhiTranslate="louiesAlterierApp.product.name">Name</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="additions"><span jhiTranslate="louiesAlterierApp.product.additions">Additions</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let product of products ;trackBy: trackId">
                    <td><a [routerLink]="['/product', product.id, 'view']">{{ product.id }}</a></td>
                    <td>{{ product.price }}</td>
                    <td>{{ product.name }}</td>
                    <td>
                         <span *ngFor="let additions of product.additions; let last = last">
                        <a [routerLink]="['/addition', additions?.id, 'view']">{{ additions.name }}</a>{{ last ? '' : ', ' }}
                    </span>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/product', product.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/product', product.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(product)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
